<?php

IncludeModuleLangFile(__FILE__);

class tinkoff_creditbroker extends CModule
{
	const MODULE_ID = 'tinkoff.creditbroker';
	public $MODULE_ID = 'tinkoff.creditbroker';
	public $MODULE_VERSION;
	public $MODULE_VERSION_DATE;
	public $MODULE_NAME;
	public $MODULE_DESCRIPTION;

	public $strError = '';

	public function __construct()
	{
		$arModuleVersion = array();
		include(dirname(__FILE__) . "/version.php");
		$this->MODULE_VERSION = $arModuleVersion["VERSION"];
		$this->MODULE_VERSION_DATE = $arModuleVersion["VERSION_DATE"];
		$this->MODULE_NAME = GetMessage("TINKOFF.CREDITBROKER_MODULE_NAME");
		$this->MODULE_DESCRIPTION = GetMessage("TINKOFF.CREDITBROKER_MODULE_DESC");
		$this->PARTNER_NAME = GetMessage("TINKOFF.CREDITBROKER_PARTNER_NAME");
		$this->PARTNER_URI = "https://tinkoff.ru/";
	}


	public function InstallFiles()
	{
		CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/sale_payment/tcb/", $_SERVER["DOCUMENT_ROOT"]."/bitrix/php_interface/include/sale_payment/tcb/", true, true);
		CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/tools/", $_SERVER["DOCUMENT_ROOT"]."/bitrix/tools/");
		CopyDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/images/tcb.png", $_SERVER["DOCUMENT_ROOT"]."/bitrix/images/sale/sale_payments/tcb.png");
		return true;
	}

	public function UnInstallFiles()
	{
		DeleteDirFilesEx("/bitrix/php_interface/include/sale_payment/tcb");
		DeleteDirFiles($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/tools/", $_SERVER["DOCUMENT_ROOT"]."/bitrix/tools/");
		DeleteDirFilesEx("/bitrix/images/sale/sale_payments/tcb.png");
		return true;
	}

	public function DoInstall()
	{
		$this->InstallFiles();
		RegisterModule(self::MODULE_ID);
		$this->InstallDB();
	}

	public function DoUninstall()
	{
		global $APPLICATION, $DB;

		UnRegisterModule(self::MODULE_ID);
		$this->UnInstallFiles();
		$this->UnInstallDB();
	}

	function InstallDB()
	{
		global $DB, $DBType, $APPLICATION;
		if(!$DB->Query("SELECT 'x' FROM tinkoffbank_credit WHERE 1=0", true)){
            $this->errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/db/".$DBType."/install.sql");
        }
		return true;
	}

	function UnInstallDB($arParams = array())
	{
		global $DB, $DBType, $APPLICATION;
		$this->errors = $DB->RunSQLBatch($_SERVER["DOCUMENT_ROOT"]."/bitrix/modules/".self::MODULE_ID."/install/db/".$DBType."/uninstall.sql");
		return true;
	}
}


