<?
include_once(dirname(__FILE__)."/include.php");
use Bitrix\Main\Localization\Loc;
use Bitrix\Main\Config\Option;
use Bitrix\Main\Application;
use Bitrix\Main\Web\Json;

$module_id = 'tinkoff.creditbroker';
IncludeModuleLangFile($_SERVER["DOCUMENT_ROOT"].BX_ROOT."/modules/main/options.php");
IncludeModuleLangFile(__FILE__);

$app = Application::getInstance();
$context = $app->getContext();
$request = $context->getRequest();

$arAllOptions = [];

$aTabs = array(
	array("DIV" => "edit1", "TAB" => GetMessage("MAIN_TAB_SET"), "ICON" => $module_id."_settings", "TITLE" => GetMessage("MAIN_TAB_TITLE_SET")),
);
$tabControl = new CAdminTabControl("tabControl", $aTabs);

if ($_REQUEST['Update'] == 'Y' && $request->isPost() && check_bitrix_sessid()) {
	$promo = $request->getPost('promocodes');
	$promoTitle = $request->getPost('promo_title');
	$data = [];
	foreach($promo as $key => $name) {
		if (!$name) {
			continue;
		}
		$data[$name] = $promoTitle[$key];
	}

	Option::set($module_id, 'promocodes', Json::encode($data, JSON_UNESCAPED_UNICODE));

}


?>
<script>
	function addPromocode(a){
		var row = BX.findParent(a, { 'tag': 'tr'});
		var tbl = row.parentNode;

		var tableRow = tbl.rows[row.rowIndex-1].cloneNode(true);
		tbl.insertBefore(tableRow, row);
		var input = BX.findChild(tableRow.cells[0], { 'tag': 'input'}, true);
		input.value = '';
		input = BX.findChild(tableRow.cells[1], { 'tag': 'input'}, true);
		input.value = '';
	}
	function promocodeDeleteRow(a) {
		var row = BX.findParent(a, { 'tag': 'tr'});
		var tbl = row.parentNode;
		if (tbl.rows.length < 4) {
			return false;
		}
		BX.remove(row);
		return false;
	}
</script>
<form method="post" action="<?echo $APPLICATION->GetCurPage()?>?mid=<?=urlencode($mid)?>&amp;lang=<?=LANGUAGE_ID?>" enctype="multipart/form-data"><?
$tabControl->Begin();
$tabControl->BeginNextTab();?>
<tr class="heading">
	<td colspan="2">
		<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_PROMOCODES');?>
	</td>
	<td style="width:0px"></td>
</tr>
<? $promocodes = Option::get($module_id, 'promocodes');
if ($promocodes){
	$promocodes = Json::decode($promocodes);
}else {
	$promocodes = [];
}
?>
<?php foreach($promocodes as $key => $value):?>
	<tr>
		<td>
		<input type="text" name='promocodes[]' value="<?=htmlspecialchars($key)?>" placeholder="<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_PROMOCODE_CODE');?>">
		</td>
		<td><input type="text" name='promo_title[]' value="<?=htmlspecialchars($value)?>" placeholder="<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_PROMOCODE_TITLE');?>"></td>
		<td><a href="javascript:void(0)" onclick="promocodeDeleteRow(this)"><img src="/bitrix/themes/.default/images/actions/delete_button.gif" border="0" width="20" height="20"></a></td>
	</tr>
<?endforeach;?>
<tr>
	<td>
	<input type="text" name='promocodes[]' value=""  placeholder="<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_PROMOCODE_CODE');?>">
	</td>
	<td><input type="text" name='promo_title[]' value="" placeholder="<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_PROMOCODE_TITLE');?>"></td>
	<td><a href="javascript:void(0)" onclick="promocodeDeleteRow(this)"><img src="/bitrix/themes/.default/images/actions/delete_button.gif" border="0" width="20" height="20"></a></td>
</tr>
<td><a href="javascript:void(0)" onclick="addPromocode(this)" class="bx-action-href">
						<?=Loc::getMessage('TINKOFF.CREDITBROKER_OPTION_ADD_PROMOCODE_ACTION');?></a></td><td></td><td></td>
 <?
			echo 	'<input type="hidden" name="Update" value="Y" />';
			$tabControl->Buttons(array(
							"back_url" => $APPLICATION->GetCurPage().'?lang='.LANGUAGE_ID
						));
		$tabControl->End();
	?>

		<?echo bitrix_sessid_post();?>
</form>
