<?php
use Bitrix\Main\Localization\Loc;
Loc::loadMessages(__FILE__);

$sum = round($params['amount'], 2);
?>

<div class="mb-4" >
	<p><?=Loc::getMessage('TINKOFF.CREDITBROKER_DESCRIPTION')." ".SaleFormatCurrency($sum, 'RUB');?></p>
	<div class="d-flex align-items-center mb-3">
		<div class="col-auto pl-0">
			<form method="POST" action="<?=$params['paymentPath']?>">
				<div class="tcb-promo-options" style="margin-bottom:10px;">
				<?if (count($params['promo']) == 1):
					$promoCode = key($params['promo']);
					$params['button_text'] = current($params['promo']);
				?>
					<input type="hidden" name="promo" value="<?=$promoCode?>">
				<?else:
					$i = 0;
					foreach($params['promo'] as $code => $name):
						$checked = $i?'':" checked='checked'";
						$i++;
						?>
						<div><input type="radio" name="promo" value="<?=$code?>" id="tcb-promo-<?=$code?>" <?=$checked?>>&nbsp;<label for="tcb-promo-<?=$code?>"><?=$name?></label></div>
					<?endforeach?>
				<?endif?>
				</div>
			<button class="btn btn-primary btn-buy btn-lg" type="submit"  ><?=$params['button_text'];?></button>
			<input type="hidden" name="ORDER_ID" value="<?=$params['orderId']?>">
			<input type="hidden" name="PAYMENT_ID" value="<?=$params['paymentId']?>">
			<input type="hidden" name="create" value="new">
			</form>
		</div>
	</div>
</div>