<?php

namespace Tinkoff\CreditBroker;

class Receipt
{
	private $items = [];

	public function addItem(ReceiptItem $item)
	{
		$this->items[] = $item;
	}

	public function toArray(): array
	{
		$array = [];
		foreach ($this->items as $item) {
			$array[] = $item->toArray();
		}
		return $array;
	}
}
